<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1array.html">array</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::array&lt; T, mem_manager &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>_at_start</b> (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>array</b>() (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>array</b>(unsigned long new_size) (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>array</b>(array&lt; T &gt; &amp;) (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>array_elements</b> (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>array_size</b> (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>at_start</b>() const (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>back</b>() const (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>back</b>() (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>begin</b>() (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>begin</b>() const (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>clear</b>() (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>const_iterator</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1array.html#a920e5b64c4e9d28f9ce628b60b89652f">current_element_valid</a>() const</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1array.html#af7c13528104debe9ba1d3e4aef9aff7d">element</a>() const</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1array.html#a45bbedcc6fa9c8002b7f6fb72940926e">element</a>()</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>end</b>() (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>end</b>() const (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>expand_1a</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>expand_1a_c</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>expand_1b</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>expand_1b_c</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>expand_1c</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>expand_1c_c</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>expand_1d</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>expand_1d_c</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>iterator</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1array.html#a25de60d06c64ef42aff68daa00d8d2cb">kernel_1a</a> typedef</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kernel_1a_c</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kernel_2a</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kernel_2a_c</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>last_pos</b> (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>max_array_size</b> (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>max_size</b>() const (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>mem_manager_type</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1array.html#a3dafa30e65d90b1d54dc68e3e3d632b3">move_next</a>() const</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator=</b>(array&lt; T &gt; &amp;) (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1enumerable.html#a328c55c7c5df14e115cd502e9756e8a3">dlib::enumerable::operator=</a>(const enumerable &amp;)</td><td class="entry"><a class="el" href="classdlib_1_1enumerable.html">dlib::enumerable&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator[]</b>(unsigned long pos) const (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator[]</b>(unsigned long pos) (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>pool</b> (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>pop_back</b>() (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>pop_back</b>(T &amp;item) (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>pos</b> (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>push_back</b>(T &amp;item) (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1array.html#a59464da585f00d68dd41aee5c83b0a46">reset</a>() const</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>resize</b>(unsigned long new_size) (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_max_size</b>(unsigned long max) (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_size</b>(unsigned long size) (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1array.html#a64eac23811ee8278128c020aef2870cb">size</a>() const</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>sort</b>() (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>sort_1a</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>sort_1a_c</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>sort_1b</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>sort_1b_c</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>sort_2a</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>sort_2a_c</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>sort_2b</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>sort_2b_c</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>swap</b>(array &amp;item) (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>type</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>value_type</b> typedef (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~array</b>() (defined in <a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1array.html">dlib::array&lt; T, mem_manager &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~enumerable</b>()=0 (defined in <a class="el" href="classdlib_1_1enumerable.html">dlib::enumerable&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1enumerable.html">dlib::enumerable&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">pure virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
